channel.cpp File Reference
`#include "test/set.hh"`
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Set::Channel::ChannelSorted
| Test for sorted channeling constraint More...
class | Test::Set::Channel::ChannelInt
| Test for integer channel constraint More...
class | Test::Set::Channel::ChannelBool
| Test for Boolean channel constraint More...
class | Test::Set::Channel::ChannelSet
| Test for set channel constraint More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Set
| Testing finite sets.
namespace | Test::Set::Channel
| Tests for set channeling constraints

## Variables

ChannelSorted | Test::Set::Channel::_channelSorted ("Channel::Sorted")
ChannelInt | Test::Set::Channel::_channelint1 ("Channel::Int::1", d2, 2, 3)
ChannelInt | Test::Set::Channel::_channelint2 ("Channel::Int::2", d3, 3, 3)
ChannelBool | Test::Set::Channel::_channelbool1 ("Channel::Bool::1", d2, 3)
ChannelBool | Test::Set::Channel::_channelbool2 ("Channel::Bool::2", d3, 3)
ChannelBool | Test::Set::Channel::_channelbool3 ("Channel::Bool::3", d4, 5)
ChannelSet | Test::Set::Channel::_channelSet12 ("Channel::Set::1::2", d1, 2, 2)
ChannelSet | Test::Set::Channel::_channelSet13 ("Channel::Set::1::3", d1, 2, 3)
ChannelSet | Test::Set::Channel::_channelSet22 ("Channel::Set::2::2", d3, 2, 2)
ChannelSet | Test::Set::Channel::_channelSet23 ("Channel::Set::2::3", d3, 2, 3)
ChannelSet | Test::Set::Channel::_channelSet32 ("Channel::Set::3::2", d_12, 2, 2)
ChannelSet | Test::Set::Channel::_channelSet33 ("Channel::Set::3::3", d_12, 2, 3)